#ifndef __DirController_h
#define __DirController_h
//=============================================================================
//
//		Copyright (C) 1995-1997 by Paul S. McCarthy and Eric Sunshine.
//				Written by Paul S. McCarthy and Eric Sunshine.
//							All Rights Reserved.
//
//		This notice may not be removed from this source code.
//
//		This object is included in the MiscKit by permission from the authors
//		and its use is governed by the MiscKit license, found in the file
//		"License.rtf" in the MiscKit distribution.	Please refer to that file
//		for a list of all applicable permissions and restrictions.
//
//=============================================================================
//-----------------------------------------------------------------------------
// DirController.h
//
//		Manages application which demonstrates use of TableScroll.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id: DirController.h,v 1.1 97/02/05 08:23:06 sunshine Exp $
// $Log:		DirController.h,v $
// Revision 1.1	 97/02/05  08:23:06	 sunshine
// v13: Synchronized with ScrollDir (v29).
// 
//-----------------------------------------------------------------------------
#import <objc/Object.h>
@class Panel, Text;

@interface DirController : Object
	{
	Panel* infoPanel;
	Text*  infoText;
	}

- (id)init;
- (id)free;
- (id)appDidInit:(id)sender;
- (id)new:(id)sender;
- (id)info:(id)sender;

@end

#endif // __DirController_h
