//	MiscHeadedMatrix.h
//Thu Feb 13 13:44:43 GMT+0100 1997

#import	<misckit/misckit.h>

@interface MiscHeadedMatrix : MiscMatrix
{
	Storage	*hHeadPos;
	List	*hHeadCells;

	id		hHeadCellClass;
	id		hHeadPrototype;

	NXCoord	headHeight;
}

- initFrame:(const NXRect *)frm mode:(int)aMode prototype:cellId 
			numRows:(int)rowsHigh numCols:(int)colsWide headPrototype:headId;
- initFrame:(const NXRect *)frm mode:(int)aMode cellClass:factoryId 
			numRows:(int)rowsHigh numCols:(int)colsWide headPrototype:headId;
- initFrame:(const NXRect *)frm mode:(int)aMode cellClass:factoryId 
			numRows:(int)rowsHigh numCols:(int)colsWide headClass:headClassId;

- (void)setHorizHeaderCellClass:aCellClass;
- (void)addHorizHeaderWithTitle:(const char *)title;
- (void)addRowAtHorizHeader:(int)headNo;
- cellAt:(int)aRow :(int)aCol andHorizHeader:(int)headNo;

- (NXCoord)headHeight;
- (void)setHeadHeight:(NXCoord)aHeadHeight;

@end
