//--------------------------------------------------------------------------
// Copyright 1996 Running Start, Inc.  All Rights Reserved.
//
// Ralph Zazula (zazula@running-start.com) http://www.running-start.com
//
// You may freely copy, distribute and reuse the code in this example.
// Running Start, Inc. disclaims any warranty of any kind, expressed or 
// implied, as to its fitness for any particular use.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"License.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//--------------------------------------------------------------------------

#import <objc/List.h>
#import <apps/InterfaceBuilder.h>
#import <appkit/NXImage.h>

@implementation List(IBImage)

- getIBImage
{
	char path[1024];
	id image = [NXImage findImageNamed:"List"];
	if(!image) {
		id bundle = [NXBundle bundleForClass:[self class]];
		if([bundle getPath:path forResource:"List" ofType:"tiff"]) {
			image = [[NXImage alloc] initFromFile:path];
		}
	}
	return image;
}

@end
