#ifndef __MiscAssert_h
#define __MiscAssert_h
#ifdef __GNUC__
# pragma interface
#endif
//=============================================================================
//
//		Copyright (C) 1997 by Paul S. McCarthy and Eric Sunshine.
//				Written by Paul S. McCarthy and Eric Sunshine.
//							All Rights Reserved.
//
//		This notice may not be removed from this source code.
//
//		This object is included in the MiscKit by permission from the authors
//		and its use is governed by the MiscKit license, found in the file
//		"License.rtf" in the MiscKit distribution.	Please refer to that file
//		for a list of all applicable permissions and restrictions.
//		
//=============================================================================
//-----------------------------------------------------------------------------
// $Id: MiscAssert.h,v 1.1 97/06/10 05:21:21 sunshine Exp $
// $Log:		MiscAssert.h,v $
// Revision 1.1	 97/06/10  05:21:21	 sunshine
// v127: Assertion facility which raises exception rather than calling abort()
// 
//-----------------------------------------------------------------------------

extern void MiscTableScrollAssert( char const*, char const*, int );

#define MiscAssert(expr) \
	((void)((expr) ? 0 : MiscTableScrollAssert( #expr, __FILE__, __LINE__ )))

#endif // __MiscAssert_h
