#ifndef __MiscTableConnInspector_h
#define __MiscTableConnInspector_h
//=============================================================================
//
//		Copyright (C) 1996 by Paul S. McCarthy and Eric Sunshine.
//				Written by Paul S. McCarthy and Eric Sunshine.
//							All Rights Reserved.
//
//		This notice may not be removed from this source code.
//
//		This object is included in the MiscKit by permission from the authors
//		and its use is governed by the MiscKit license, found in the file
//		"License.rtf" in the MiscKit distribution.	Please refer to that file
//		for a list of all applicable permissions and restrictions.
//		
//=============================================================================
//-----------------------------------------------------------------------------
// MiscTableConnInspector.h
//
//		A custom Interface Builder connection inspector so that the
//		doubleTarget and doubleAction can be set.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id: MiscTableConnInspector.h,v 1.1 96/04/20 01:35:40 zarnuk Exp $
// $Log:		MiscTableConnInspector.h,v $
//	Revision 1.1  96/04/20	01:35:40  zarnuk
//	Custom IB connection inspector that supports target/action style
//	connections for doubleTarget/doubleAction and other such pairs.
//	
//-----------------------------------------------------------------------------
#if defined(NX_COMPILER_RELEASE_3_3)
extern "Objective-C" {
#import <apps/InterfaceBuilder.h>
}

@class MiscTableScroll, List;

@interface MiscTableConnInspector:IBInspector
	{
	MiscTableScroll*	outletScroll;
	MiscTableScroll*	actionScroll;
	List*				connList;
	id					cursrc;
	id					curdst;
	id					curout;
	}

@end
#endif // defined(NX_COMPILER_RELEASE_3_3)
#endif // __MiscTableConnInspector_h
