// Wed Nov 13 12:19:35 MET 1996 by Daniel Bhringer

// this is an example how to use the misc find-panel for MiscTree

#import "AppDelegate.h"

// this stuff calls self with -selectEntry: whenever something is found 

@interface AppDelegate(SearchableText) <SearchableText>

- renewSearchHashtable;
- invalidateSearchHashtable;	// whenever edited a cell

- (int)searchFor:(const char *)pattern
			mode:(SearchMode)mode
		 reverse:(BOOL)rev
		 regexpr:(BOOL)regexpr
		   cases:(BOOL)cases
		position:(int *)pos
			size:(int *)size;
- (int)replaceAll:(const char *)pattern with:(const char *)replacement 
			 mode:(SearchMode)mode regexpr:(BOOL)regexpr cases:(BOOL)cases;
- (void)makeSelectionVisible;

// although required these methods make no sense here
- (void)replaceSelection:(const char *)replacement;
- (void)selectTextFrom:(int)start to:(int)end;
- (void)writeSelectionToPasteboard:(Pasteboard *)pboard asType:(NXAtom)type;

@end