/* _MiscTreeBrowserNode
 *
 */

// IMPORTS

#import <libc.h>
#import <ansi/assert.h>

#import <objc/List.h>
#import <objc/hashtable.h>

#import <appkit/NXImage.h>

#import "_MiscTreeBrowserNode.Dragging.h"


// IMPLEMENTATION

@implementation _MiscTreeBrowserNode(Dragging)

- (NXImage *)dragImage
{
	static NXImage *draggedImage = nil;

	if (!draggedImage)
	{
		draggedImage = [NXImage findImageNamed:"_MTBN_dragImage"];
	}

	return draggedImage;
}

- doubleClick:sender
{
	printf("\"%s\" -- double-click\n", [self stringValue]);

	return self;
}

@end
