//
//	MiscPopUpButton.h -- convenience items to Pop Up Lists
//		Written by Stefan Boehringer Copyright (c) 1996 by Stefan Boehringer.
//				Version 1.0.  All rights reserved.
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	
// This is useful for handling popups programmatically
// Sat Dec 16 11:02:52 MET 1995

#import	<appkit/appkit.h>

@interface Button(PopUpButton)
- (int)positionOfTitle:(const char *)seaTitle;
- (int)positionOfTag:(int)thetag;

- (int)popUpTag;
-(int) selectedTag;		// same as above
- (void)selectCellAt:(int)position;
- selectTitle:(const char *)seaTitle;
- selectTag:(int)tag;

- buildItemsFromString:(const char*) str separator:(char) sep underscoreReplace:(BOOL) repl
			  addEmpty:(BOOL) add;
- buildItemsFromString:(const char*) str separator:(char) sep;
@end
