#ifndef __IBConnector_h
#define __IBConnector_h

extern "Objective-C" {
#import <objc/Object.h>
}


@interface IBConnector : Object<IBConnectors>
	{
	id source;
	id destination;
	id label;
	}
- free;
- initSource: arg_1 destination: arg_2 label: arg_3;
- source;
- destination;
- label;
- setLabel: arg_1;

- displayConnection;
- establishConnection;
- getIBPrintName;
- nibInstantiate;
- renewObject: arg_1 to: arg_2;

- read: (NXTypedStream*) arg_1;
- write: (NXTypedStream*) arg_1;
@end



@interface IBOutletConnector : IBConnector
	{
	}
- establishConnection;
@end



@interface IBControlConnector : IBConnector
	{
	}
- getIBPrintName;
- establishConnection;
@end


#endif // __IBConnector_h
