/*
    ObjectDistributingCategory.h
    ============================

    John Holdsworth
    Coldwave Programs Ltd.

    This software is in the public domain.

    A gratuitous Category of Object that distributes objects.

*/
/*
 * $Log: ObjectDistributingCategory.h,v $
 * Revision 1.1  1997/04/14  22:46:07  johnh
 * New category just for DO created.
 *
 */

#import <objc/Object.h> 


@interface Object(ObjectDistributingCategory)
/* simple class to load and reload class categories */

- runFromAppKitWithName:(const char *)aName;
/* Distributes self with name specified. */

- runFromAppKit;
/* runs from appkit using name of object - usually class name */

@end
