// -*- objc -*-

#import <appkit/appkit.h>

@interface ImageView : View
{
    NXImageRep *imgrep;

    id delegate;

    int oldEventMask;
}

- initFrame: (const NXRect*) prectFrame;

- (NXImageRep*) imageRep;
- setImageRep: (NXImageRep*) imgrep_;

- delegate;
- setDelegate: newDelegate;

- (BOOL) acceptsFirstMouse;

- drawSelf: (const NXRect*) prectRects : (int) iNumRects;

- sizeTo: (NXCoord) width : (NXCoord) height;

- mouseDown: (NXEvent*) theEvent;

@end

@interface Object (ImageViewDelegate)

- imageView: sender sizedTo: (NXCoord) width : (NXCoord) height;

- imageView: sender mouseDown: (NXCoord) x : (NXCoord) y;
- imageView: sender mouseDragged: (NXCoord) x : (NXCoord) y;

- imageView: sender selectedRect: (const NXRect*) rect;

@end
