#ifndef __MiscTableScrollPalette_h
#define __MiscTableScrollPalette_h
//=============================================================================
//
//		Copyright (C) 1996 by Paul S. McCarthy and Eric Sunshine.
//				Written by Paul S. McCarthy and Eric Sunshine.
//							All Rights Reserved.
//
//		This notice may not be removed from this source code.
//
//		This object is included in the MiscKit by permission from the authors
//		and its use is governed by the MiscKit license, found in the file
//		"License.rtf" in the MiscKit distribution.	Please refer to that file
//		for a list of all applicable permissions and restrictions.
//		
//=============================================================================
//-----------------------------------------------------------------------------
// MiscTableScrollPalette.h
//
//		Subclass of IBPalette for the MiscTableScroll palette.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id: MiscTableScrollPalette.h,v 1.3 96/04/19 17:08:58 zarnuk Exp $
// $Log:		MiscTableScrollPalette.h,v $
// Revision 1.3	 96/04/19  17:08:58	 zarnuk
// Added extern "Objective-C".
// 
// Revision 1.2	 96/02/17  07:44:03	 zarnuk
// Fixed copyright notice.
// 
// Revision 1.1	 96/02/17  07:43:13	 zarnuk
// Subclass of IBPalette for MiscTableScroll.
// 
//-----------------------------------------------------------------------------
extern "Objective-C" {
#import <apps/InterfaceBuilder.h>
}

@class MiscTableScroll;

@interface MiscTableScrollPalette:IBPalette
		{
		MiscTableScroll*		tableScroll;
		}

- finishInstantiate;
@end

#endif // __MiscTableScrollPalette_h
